/*
 * Copyright (C) 2022 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.app.admin;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class PreferentialNetworkServiceConfig implements android.os.Parcelable {

PreferentialNetworkServiceConfig() { throw new RuntimeException("Stub!"); }

public boolean isEnabled() { throw new RuntimeException("Stub!"); }

public boolean isFallbackToDefaultConnectionAllowed() { throw new RuntimeException("Stub!"); }

public boolean shouldBlockNonMatchingNetworks() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public int[] getIncludedUids() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public int[] getExcludedUids() { throw new RuntimeException("Stub!"); }

public int getNetworkId() { throw new RuntimeException("Stub!"); }

public java.lang.String toString() { throw new RuntimeException("Stub!"); }

public boolean equals(java.lang.Object o) { throw new RuntimeException("Stub!"); }

public int hashCode() { throw new RuntimeException("Stub!"); }

public void writeToParcel(@android.annotation.NonNull android.os.Parcel dest, int flags) { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.app.admin.PreferentialNetworkServiceConfig> CREATOR;
static { CREATOR = null; }

public static final int PREFERENTIAL_NETWORK_ID_1 = 1; // 0x1

public static final int PREFERENTIAL_NETWORK_ID_2 = 2; // 0x2

public static final int PREFERENTIAL_NETWORK_ID_3 = 3; // 0x3

public static final int PREFERENTIAL_NETWORK_ID_4 = 4; // 0x4

public static final int PREFERENTIAL_NETWORK_ID_5 = 5; // 0x5
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class Builder {

public Builder() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.app.admin.PreferentialNetworkServiceConfig.Builder setEnabled(boolean isEnabled) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.app.admin.PreferentialNetworkServiceConfig.Builder setFallbackToDefaultConnectionAllowed(boolean allowFallbackToDefaultConnection) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.app.admin.PreferentialNetworkServiceConfig.Builder setShouldBlockNonMatchingNetworks(boolean blockNonMatchingNetworks) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.app.admin.PreferentialNetworkServiceConfig.Builder setIncludedUids(@android.annotation.NonNull int[] uids) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.app.admin.PreferentialNetworkServiceConfig.Builder setExcludedUids(@android.annotation.NonNull int[] uids) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.app.admin.PreferentialNetworkServiceConfig build() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.app.admin.PreferentialNetworkServiceConfig.Builder setNetworkId(int preferenceId) { throw new RuntimeException("Stub!"); }
}

}

