/*
 * Copyright 2022 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.credentials;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class CredentialOption implements android.os.Parcelable {

CredentialOption() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.lang.String getType() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.os.Bundle getCredentialRetrievalData() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.os.Bundle getCandidateQueryData() { throw new RuntimeException("Stub!"); }

public boolean isSystemProviderRequired() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.util.Set<android.content.ComponentName> getAllowedProviders() { throw new RuntimeException("Stub!"); }

public void writeToParcel(@android.annotation.NonNull android.os.Parcel dest, int flags) { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

public java.lang.String toString() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.credentials.CredentialOption> CREATOR;
static { CREATOR = null; }

public static final java.lang.String SUPPORTED_ELEMENT_KEYS = "android.credentials.GetCredentialOption.SUPPORTED_ELEMENT_KEYS";
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class Builder {

public Builder(@android.annotation.NonNull java.lang.String type, @android.annotation.NonNull android.os.Bundle credentialRetrievalData, @android.annotation.NonNull android.os.Bundle candidateQueryData) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.credentials.CredentialOption.Builder setIsSystemProviderRequired(boolean isSystemProviderRequired) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.credentials.CredentialOption.Builder addAllowedProvider(@android.annotation.NonNull android.content.ComponentName allowedProvider) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.credentials.CredentialOption.Builder setAllowedProviders(@android.annotation.NonNull java.util.Set<android.content.ComponentName> allowedProviders) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.credentials.CredentialOption build() { throw new RuntimeException("Stub!"); }
}

}

